import pandas as pd

sample_json = [
    {
        "TransactionID": 2987000,
        "TransactionDT": 86400,
        "TransactionAmt": 68.5,
        "ProductCD": "W",
        "card1": 13926,
        "card2": None,
        "card3": 150.0,
        "card4": "discover",
        "card5": 142.0,
        "card6": "credit",
        "addr1": 315.0,
        "addr2": 87.0,
        "dist1": 19.0,
        "dist2": None,
        "P_emaildomain": None,
        "R_emaildomain": None,
        "C1": 1.0,
        "C2": 1.0,
        "C3": 0.0,
        "C4": 0.0,
        "C5": 0.0,
        "C6": 1.0,
        "C7": 0.0,
        "C8": 0.0,
        "C9": 1.0,
        "C10": 0.0,
        "C11": 2.0,
        "C12": 0.0,
        "C13": 1.0,
        "C14": 1.0,
        "D1": 14.0,
        "D2": None,
        "D3": 13.0,
        "D4": None,
        "D5": None,
        "D6": None,
        "D7": None,
        "D8": None,
        "D9": None,
        "D10": 13.0,
        "D11": 13.0,
        "D12": None,
        "D13": None,
        "D14": None,
        "D15": 0.0,
        "M1": "T",
        "M2": "T",
        "M3": "T",
        "M4": "M2",
        "M5": "F",
        "M6": "T",
        "M7": None,
        "M8": None,
        "M9": None,
        "V1": 1.0,
        "V2": 1.0,
        "V3": 1.0,
        "V4": 1.0,
        "V5": 1.0,
        "V6": 1.0,
        "V7": 1.0,
        "V8": 1.0,
        "V9": 1.0,
        "V10": 0.0,
        "V11": 0.0,
        "V12": 1.0,
        "V13": 1.0,
        "V14": 1.0,
        "V15": 0.0,
        "V16": 0.0,
        "V17": 0.0,
        "V18": 0.0,
        "V19": 1.0,
        "V20": 1.0,
        "V21": 0.0,
        "V22": 0.0,
        "V23": 1.0,
        "V24": 1.0,
        "V25": 1.0,
        "V26": 1.0,
        "V27": 0.0,
        "V28": 0.0,
        "V29": 0.0,
        "V30": 0.0,
        "V31": 0.0,
        "V32": 0.0,
        "V33": 0.0,
        "V34": 0.0,
        "V35": None,
        "V36": None,
        "V37": None,
        "V38": None,
        "V39": None,
        "V40": None,
        "V41": None,
        "V42": None,
        "V43": None,
        "V44": None,
        "V45": None,
        "V46": None,
        "V47": None,
        "V48": None,
        "V49": None,
        "V50": None,
        "V51": None,
        "V52": None,
        "V53": 1.0,
        "V54": 1.0,
        "V55": 1.0,
        "V56": 1.0,
        "V57": 0.0,
        "V58": 0.0,
        "V59": 0.0,
        "V60": 0.0,
        "V61": 1.0,
        "V62": 1.0,
        "V63": 0.0,
        "V64": 0.0,
        "V65": 1.0,
        "V66": 1.0,
        "V67": 1.0,
        "V68": 0.0,
        "V69": 0.0,
        "V70": 0.0,
        "V71": 0.0,
        "V72": 0.0,
        "V73": 0.0,
        "V74": 0.0,
        "V75": 1.0,
        "V76": 1.0,
        "V77": 1.0,
        "V78": 1.0,
        "V79": 0.0,
        "V80": 0.0,
        "V81": 0.0,
        "V82": 0.0,
        "V83": 0.0,
        "V84": 0.0,
        "V85": 0.0,
        "V86": 1.0,
        "V87": 1.0,
        "V88": 1.0,
        "V89": 0.0,
        "V90": 0.0,
        "V91": 0.0,
        "V92": 0.0,
        "V93": 0.0,
        "V94": 0.0,
        "V95": 0.0,
        "V96": 1.0,
        "V97": 0.0,
        "V98": 0.0,
        "V99": 0.0,
        "V100": 0.0,
        "V101": 0.0,
        "V102": 1.0,
        "V103": 0.0,
        "V104": 0.0,
        "V105": 0.0,
        "V106": 0.0,
        "V107": 1.0,
        "V108": 1.0,
        "V109": 1.0,
        "V110": 1.0,
        "V111": 1.0,
        "V112": 1.0,
        "V113": 1.0,
        "V114": 1.0,
        "V115": 1.0,
        "V116": 1.0,
        "V117": 1.0,
        "V118": 1.0,
        "V119": 1.0,
        "V120": 1.0,
        "V121": 1.0,
        "V122": 1.0,
        "V123": 1.0,
        "V124": 1.0,
        "V125": 1.0,
        "V126": 0.0,
        "V127": 117.0,
        "V128": 0.0,
        "V129": 0.0,
        "V130": 0.0,
        "V131": 0.0,
        "V132": 0.0,
        "V133": 117.0,
        "V134": 0.0,
        "V135": 0.0,
        "V136": 0.0,
        "V137": 0.0,
        "V138": None,
        "V139": None,
        "V140": None,
        "V141": None,
        "V142": None,
        "V143": None,
        "V144": None,
        "V145": None,
        "V146": None,
        "V147": None,
        "V148": None,
        "V149": None,
        "V150": None,
        "V151": None,
        "V152": None,
        "V153": None,
        "V154": None,
        "V155": None,
        "V156": None,
        "V157": None,
        "V158": None,
        "V159": None,
        "V160": None,
        "V161": None,
        "V162": None,
        "V163": None,
        "V164": None,
        "V165": None,
        "V166": None,
        "V167": None,
        "V168": None,
        "V169": None,
        "V170": None,
        "V171": None,
        "V172": None,
        "V173": None,
        "V174": None,
        "V175": None,
        "V176": None,
        "V177": None,
        "V178": None,
        "V179": None,
        "V180": None,
        "V181": None,
        "V182": None,
        "V183": None,
        "V184": None,
        "V185": None,
        "V186": None,
        "V187": None,
        "V188": None,
        "V189": None,
        "V190": None,
        "V191": None,
        "V192": None,
        "V193": None,
        "V194": None,
        "V195": None,
        "V196": None,
        "V197": None,
        "V198": None,
        "V199": None,
        "V200": None,
        "V201": None,
        "V202": None,
        "V203": None,
        "V204": None,
        "V205": None,
        "V206": None,
        "V207": None,
        "V208": None,
        "V209": None,
        "V210": None,
        "V211": None,
        "V212": None,
        "V213": None,
        "V214": None,
        "V215": None,
        "V216": None,
        "V217": None,
        "V218": None,
        "V219": None,
        "V220": None,
        "V221": None,
        "V222": None,
        "V223": None,
        "V224": None,
        "V225": None,
        "V226": None,
        "V227": None,
        "V228": None,
        "V229": None,
        "V230": None,
        "V231": None,
        "V232": None,
        "V233": None,
        "V234": None,
        "V235": None,
        "V236": None,
        "V237": None,
        "V238": None,
        "V239": None,
        "V240": None,
        "V241": None,
        "V242": None,
        "V243": None,
        "V244": None,
        "V245": None,
        "V246": None,
        "V247": None,
        "V248": None,
        "V249": None,
        "V250": None,
        "V251": None,
        "V252": None,
        "V253": None,
        "V254": None,
        "V255": None,
        "V256": None,
        "V257": None,
        "V258": None,
        "V259": None,
        "V260": None,
        "V261": None,
        "V262": None,
        "V263": None,
        "V264": None,
        "V265": None,
        "V266": None,
        "V267": None,
        "V268": None,
        "V269": None,
        "V270": None,
        "V271": None,
        "V272": None,
        "V273": None,
        "V274": None,
        "V275": None,
        "V276": None,
        "V277": None,
        "V278": None,
        "V279": 0.0,
        "V280": 0.0,
        "V281": 0.0,
        "V282": 1.0,
        "V283": 1.0,
        "V284": 0.0,
        "V285": 0.0,
        "V286": 0.0,
        "V287": 0.0,
        "V288": 0.0,
        "V289": 0.0,
        "V290": 1.0,
        "V291": 1.0,
        "V292": 1.0,
        "V293": 0.0,
        "V294": 1.0,
        "V295": 0.0,
        "V296": 0.0,
        "V297": 0.0,
        "V298": 0.0,
        "V299": 0.0,
        "V300": 0.0,
        "V301": 0.0,
        "V302": 0.0,
        "V303": 0.0,
        "V304": 0.0,
        "V305": 1.0,
        "V306": 0.0,
        "V307": 117.0,
        "V308": 0.0,
        "V309": 0.0,
        "V310": 0.0,
        "V311": 0.0,
        "V312": 0.0,
        "V313": 0.0,
        "V314": 0.0,
        "V315": 0.0,
        "V316": 0.0,
        "V317": 117.0,
        "V318": 0.0,
        "V319": 0.0,
        "V320": 0.0,
        "V321": 0.0,
        "V322": None,
        "V323": None,
        "V324": None,
        "V325": None,
        "V326": None,
        "V327": None,
        "V328": None,
        "V329": None,
        "V330": None,
        "V331": None,
        "V332": None,
        "V333": None,
        "V334": None,
        "V335": None,
        "V336": None,
        "V337": None,
        "V338": None,
        "V339": None,
    }
]

sample_input = pd.DataFrame(sample_json)
